.box_style_1 {
  -webkit-box-shadow: 0 0 15px 0 rgb(0 0 0/10%);
  -moz-box-shadow: 0 0 15px 0 rgb(0 0 0 / 0.1);
  box-shadow: 0 0 15px 0 rgb(0 0 0/10%);
  border: 0;
  -webkit-border-radius: 5px;
  -moz-border-radius: 5px;
  border-radius: 5px;
}
.tags a {
  display: inline-block;
  margin: 4px;
  background: #e0e0e0 url(../img/tag_bg.png) no-repeat 91%center;
  padding: 8px 32px 8px 8px;
  color: #000000de;
  font-size: 0.875rem;
  font-weight: 500;
  -webkit-border-top-right-radius: 20px;
  -webkit-border-bottom-right-radius: 20px;
  -moz-border-radius-topright: 20px;
  -moz-border-radius-bottomright: 20px;
  border-top-right-radius: 20px;
  border-bottom-right-radius: 20px;
  transition: background 0.5s ease;
}
.tags a:hover {
  background-color: var(--secondary-color);
  color: #fff;
  text-decoration: none;
}
#cat_blog ul {
  list-style: none;
  margin: 0;
  padding: 0;
}
.widget h4 {
  font-weight: 600;
  font-size: 1rem;
}
.widget.tags {
  margin-top: 1.25rem;
}
ul.recent_post {
  margin: 0;
  padding: 0;
}
ul.recent_post li {
  padding: 0 0 8px 0;
  margin-bottom: 15px;
  border-bottom: 1px #e7e7e7 dotted;
  color: #313131;
  list-style: none;
  line-height: 18px;
  padding-bottom: 15px;
  color: #888;
  font-style: italic;
}
ul.recent_post li div {
  padding-left: 25px;
  font-style: normal;
}
ul.recent_post li:last-child {
  border-bottom: 0;
  margin-bottom: 0;
  padding-bottom: 0;
}
.post {
  margin-bottom: 45px;
}
.post h2 {
  font-size: 22px;
}
.post img {
  margin-bottom: 10px;
}
.post_info {
  padding: 0 0 10px 0;
  border-bottom: 1px #ccc dashed;
  margin-bottom: 12px;
  color: #777;
}
.post_info a {
  color: #777;
}
.post_info a:hover {
  color: #333;
}
.post_info span {
  color: var(--primary-color);
  font-weight: 500;
}
.post-left {
  float: left;
}
.post-left ul {
  margin-left: 0;
  padding-left: 0;
}
.post-left ul li {
  float: left;
  margin-right: 7px;
  list-style: none;
}
.post-right {
  float: right;
}
.text-center img {
  height: auto !important;
}
.mp0 img {
  width: 100%;
  object-fit: cover;
}
.avatar {
  float: left;
  margin-right: 11px;
}
.avatar img {
  -moz-border-radius: 3px;
  -webkit-border-radius: 3px;
  border-radius: 3px;
}
.blog-section {
  width: 100%;
  border-radius: 1rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 10px 15px;
  gap: 15px;
  transition: all 0.3s ease;
  border: 1px solid #222831;
}
.blog-section a {
  display: flex;
  align-items: center;
  text-decoration: none;
  width: 100%;
  color: inherit;
}
.blog-section-image img {
  width: 100px;
  height: 100px;
  object-fit: cover;
  border-radius: 1rem;
  margin: 0;
}
.blog-section-content {
  flex: 1;
  padding-left: 10px;
}
.blog-section-header {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  text-align: start;
  flex-direction: column;
}
.blog-section-title {
  font-size: 15px;
  font-weight: 500;
  margin-bottom: 0;
  color: var(--black);
  display: -webkit-box;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  text-align: start;
}
.blog-section-posted {
  font-size: 12px;
  color: var(--text-color);
  white-space: nowrap;
}
.blog-section-description {
  font-size: 13px;
  font-weight: 400;
  color: var(--black);
  margin: 0;
  display: -webkit-box;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  text-align: start;
}
.blog-article {
  display: flex;
  flex-wrap: nowrap;
  gap: 15px;
}
@media (max-width: 767px) {
  .post-right {
    float: none;
  }
  .toc li a{
    font-size: 0.925rem;
  }
  .post-left ul li {
    float: none;
    margin-right:5px;
    margin-bottom: 3px;
    font-size: 0.875rem;
  }
  
  .blog-section {
    flex-direction: column;
    align-items: flex-start;
    padding: 10px;
  }
  .blog-section a {
    flex-direction: column;
    align-items: flex-start;
  }
  .blog-section-content {
    width: 100%;
    padding-left: 0;
  }
  .blog-section-title {
    font-size: 14px;
    width: 100%;
  }
  .blog-section-image img {
    width: 100%;
    margin-bottom: 15px;
  }
  .big,
  .small,
  .last-banner-container {
    border-radius: 0 !important;
  }
  .hero-container,
  .small-container {
    gap: 5px !important;
  }
  .hero-container > div {
    padding: 0 !important;
  }
}
